Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.strategy.scheduling.preemption
Class NoPreemption

    java.lang.Object
      lbg.peer.strategy.scheduling.preemption.NoPreemption

All Implemented Interfaces:
  SupplyingRunningPreemptionPolicy, SupplyingWaitingPreemptionPolicy

    public class NoPreemption

extends java.lang.Object
implements SupplyingRunningPreemptionPolicy, SupplyingWaitingPreemptionPolicy

No Preemption.

Author:
  Cyril Briquet

Constructor Summary
`NoPreemption(Peer managed_peer)`
`NoPreemption(Peer managed_peer, Scheduler scheduler)`

Method Summary
`void` | `preemptLocalResources(Task prioritary_task)` SupplyingRunningPreemptionPolicy implementation.
`void` | `preemptWaitingSupplyingTasks()` SupplyingWaitingPreemptionPolicy implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoPreemption

    public NoPreemption(Peer managed_peer,
                        Scheduler scheduler)
                 throws GridException

Throws:
  `GridException`

### NoPreemption

    public NoPreemption(Peer managed_peer)
                 throws GridException

Throws:
  `GridException`

Method Detail

### preemptLocalResources

    public void preemptLocalResources(Task prioritary_task)
                               throws GridException

  SupplyingRunningPreemptionPolicy implementation.

  Specified by:
    `preemptLocalResources` in interface `SupplyingRunningPreemptionPolicy`
  Throws:
    `GridException`

### preemptWaitingSupplyingTasks

    public void preemptWaitingSupplyingTasks()
                                      throws GridException

  SupplyingWaitingPreemptionPolicy implementation.

  Specified by:
    `preemptWaitingSupplyingTasks` in interface `SupplyingWaitingPreemptionPolicy`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.